      program main_B


      parameter (NWPAWC=6500000)
      common/PAWC/HMEM(NWPAWC)


      real*8 vv(3),ff(3)

      call HLIMIT(NWPAWC)



      call read_B
      print*,' '
      print*,'FINITA LETTURA CAMPO MAGNETICO'
      print*,' '

      print*,' '
      print*,'x,y,z? (cm)'
      do i=1,3
         read(5,*) vv(i)         !in cm
      enddo
      print*,vv(1),vv(2),vv(3)
      print*,' '
      
      do i=1,3                  !trasformo le coordinate in m per
        vv(i)=vv(i)*0.01        !inter_B.f
      enddo
      
      call inter_B(vv(1),vv(2),vv(3),ff) !coordinate in m, campo in tesla

      print*,' '
      print*,' point (m)',vv
      print*,' B (T)',ff
      print*,' '

      print*,' '
      print*,'   --- THE END ---'
      print*,' '
      print*,' '
      
      stop
      end

      include './read_B.f' !routine che legge il campo misurato
      include './inter_B.f'     !routine che calcola il campo
